%define upstream_name    Catalyst-Plugin-Authentication
%define upstream_version 0.10017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Infrastructure plugin for the Catalyst authentication framework
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Plugin::Session) >= 0.100.0
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

Requires:   perl >= 5.8.1
%description
The authentication plugin provides generic user support. It is the basis for
both authentication (checking the user is who they claim to be), and
authorization (allowing the user to do what the system authorises them to do).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

## Temporarily disabled waiting for upstream fix (sak)
%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Feb 25 2011 jquelin <jquelin> 1:0.100.170-1.mga1
+ Revision: 59605
- update to 0.10017

* Wed Jan 26 2011 jquelin <jquelin> 1:0.100.160-1.mga1
+ Revision: 41015
- mageia rebuild
- imported package perl-Catalyst-Plugin-Authentication

